org.eclipse.compare

## Interface IContentChangeNotifier

All Known Implementing Classes:
  BufferedContent, ResourceNode

    public interface IContentChangeNotifier

Interface common to all objects that provide a means for registering for content change notification.

Clients may implement this interface.

See Also:
  `IContentChangeListener`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addContentChangeListener(IContentChangeListener listener)` Adds a content change listener to this notifier.
`void` `removeContentChangeListener(IContentChangeListener listener)` Removes the given content changed listener from this notifier.

### Method Detail

#### addContentChangeListener

    void addContentChangeListener(IContentChangeListener listener)

Adds a content change listener to this notifier. Has no effect if an identical listener is already registered.

Parameters:
  `listener` - a content changed listener

#### removeContentChangeListener

    void removeContentChangeListener(IContentChangeListener listener)

Removes the given content changed listener from this notifier. Has no effect if the listener is not registered.

Parameters:
  `listener` - a content changed listener